Skip to content

Delete a key result

Request

Deletes a key result and optionally its hierarchy

Path
idstringrequired

Key result UUID

Bodyapplication/json
including_immediate_objectivesboolean

Include immediate objectives in deletion

Default:false
including_immediate_initiativesboolean

Include immediate initiatives in deletion

Default:false
including_immediate_key_resultsboolean

Include immediate key results in deletion

Default:false
delete_hierarchyboolean

Delete entire hierarchy

Default:false
DELETE
/rest/v2/key_results/{id}
curl -i -X DELETE \
  'https://api.rhythms.ai/rest/v2/key_results/{id}' \
  -H 'Content-Type: application/json' \
  -d '{
    "including_immediate_objectives": false,
    "including_immediate_initiatives": false,
    "including_immediate_key_results": false,
    "delete_hierarchy": false
  }'

Responses

Success

Headers
any
Body*/*
uuidstringrequired

Uuid

typestringrequired

Type

titlestringrequired

Title

descriptionstring

Description

Default:null
start_datestringrequired

Start date

end_datestringrequired

End date

goal_typestringrequired

Goal type

Default:"aspirational"
time_period_uuidstringrequired

Time period uuid

current_metric_uuidstring

Current metric uuid

Default:null
creator_uuidstringrequired

Creator uuid

last_checkin_datestring

Last checkin date

Default:null
scorenumber

Score

Default:null
current_progressnumber

Current progress

Default:null
current_valuenumber

Current value

Default:null
current_statusstringrequired

Current status

Default:"not_started"
source_uuidstring

Source uuid

Default:null
source_typestring

Source type

Default:null
pathstring

Path

Default:null
searchable_contentstring

Searchable content

Default:null
progress_modestringrequired

Progress mode

Default:"manual"
value_updated_atstring

Value updated at

Default:null
status_updated_atstring

Status updated at

Default:null
value_updated_by_uuidstring

Value updated by uuid

Default:null
status_updated_by_uuidstring

Status updated by uuid

Default:null
visibilitystringrequired

Visibility

Default:"public"
ai_rollup_enabledbooleanrequired

Ai rollup enabled

Default:false
data_sources_countnumberrequired

Data sources count

Default:0
discarded_atstring

Discarded at

Default:null
discarded_by_uuidstring

Discarded by uuid

Default:null
short_id_uuidstring

Short id uuid

Default:null
archived_atstring

Archived at

Default:null
archived_by_uuidstring

Archived by uuid

Default:null
Response
{
  "uuid": "string",
  "type": "string",
  "title": "string",
  "description": null,
  "start_date": "string",
  "end_date": "string",
  "goal_type": "aspirational",
  "time_period_uuid": "string",
  "current_metric_uuid": null,
  "creator_uuid": "string",
  "last_checkin_date": null,
  "score": null,
  "current_progress": null,
  "current_value": null,
  "current_status": "not_started",
  "source_uuid": null,
  "source_type": null,
  "path": null,
  "searchable_content": null,
  "progress_mode": "manual",
  "value_updated_at": null,
  "status_updated_at": null,
  "value_updated_by_uuid": null,
  "status_updated_by_uuid": null,
  "visibility": "public",
  "ai_rollup_enabled": false,
  "data_sources_count": 0,
  "discarded_at": null,
  "discarded_by_uuid": null,
  "short_id_uuid": null,
  "archived_at": null,
  "archived_by_uuid": null
}